This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146631 - MANPATH setting in /etc/man.config ignored
MANPATH setting in /etc/man.config ignored
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 00:20 EST by P Fudd
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 07:01:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description P Fudd 2005-01-31 00:20:04 EST
Description of problem:
I created a man page in /usr/local/man/man1/foo.1, but I can't view it
with man.  Typing 'man -w' doesn't list /usr/local/man.

Version-Release number of selected component (if applicable):
man-1.5o1-7

How reproducible:
Always

Steps to Reproduce:
1. Type 'man -w'
2. Type 'mkdir -p /usr/local/man/man1; echo hello >
/usr/local/man/man1/foo.1; chmod -R a+rX /usr/local/man'
3. Type 'man -w'
  
Actual results:
/usr/X11R6/man:/usr/share/man

Expected results:
/usr/X11R6/man:/usr/share/man:/usr/local/man

Additional info:
Strace shows that man is reading /etc/man.config, but isn't looking at
/usr/local/man.  I have changed the /etc/sysconfig/i18n file to say
LANG="POSIX".
Comment 1 P Fudd 2005-01-31 00:21:53 EST
Changing LANG="en_US.UTF-8" fixes the path problem.
Comment 2 Ivana Varekova 2005-03-16 07:01:00 EST
Thank your for your notice.
Works for man-1.5p-1.
Ivana Varekova 

Note You need to log in before you can comment on or make changes to this bug.